clear all;
clf;colormap default;
Lon=[-70 30];
Lat=[-20 20];

[lon_coads,lat_coads,lonvec,latvec,sss,index, ...
         sst,netheat,eminusp,taux,tauy]= ...
     loadcoadsyear(-99);
q=find(lonvec<min(Lon) | lonvec>max(Lon) | ...
    latvec<min(Lat) | latvec>max(Lat));
truncatecoads;
lon=lon_coads;lat=lat_coads;
Wx=NaN*ones(length(lat),length(lon),12);
Wy=Wx;
holder=NaN*ones(length(lat),length(lon));

for mn=1:12;
    holder(index)=taux(mn,:);
    Wx(:,:,mn)=holder;
    holder(index)=tauy(mn,:);
    Wy(:,:,mn)=holder;
end;

itcz=7.5*ones(12,length(lon));
for mn=1:12;
    fprintf('%d of 12\n',mn);
    
    for jj=1:length(lon);
        jump=1;
        while (abs(jump)>1e-6 & isfinite(itcz(mn,jj)))
            jump2=interp1(lat,Wy(:,jj,mn), ...
                itcz(mn,jj),'linear');
            itcz(mn,jj)=itcz(mn,jj)+10*jump2;
            jump=jump2;
        end;
    end;
   
    quiver(lon,lat,10*Wx(:,:,mn),10*Wy(:,:,mn),0);
    hold on;
    plot(lon,itcz(mn,:),'--k')
    hold off;
    axis([min(Lon) max(Lon) min(Lat) max(Lat)]);
    asprat
    pause(.1);
    
end;
